image: microsoft/dotnet:latest
stages:
 - build
 - test  
variables:
 test: "tests/MessyCodes.MongoDb.Repositories.Tests"
 api: "examples/MessyCodes.MongoDb.Sample.AspNetCore"
before_script:
 - "dotnet restore"
build:
 stage: build
 script: 
  - "dotnet build"
test:
 stage: test
 script: 
  - "cd $test"
  - "dotnet test"